Opened 12 years ago

#58 new setup

another note about 64bit package on ubuntu karmic (FAQ)

Reported by: sb@… Owned by:
Priority: major Milestone:
Version: 6.0.1 Keywords: 64bit ubuntu
Cc:

Description

for dellomsa running on Ubuntu 9.10 (Karmic) 64bit there are some additional steps:

  • modify /etc/pam.d/omauth to:

#%PAM-1.0 session [default=1] /lib32/security/pam_permit.so

session requisite /lib32/security/pam_deny.so

session required /lib32/security/pam_permit.so

session required /lib32/security/pam_unix.so

auth required /lib32/security/pam_unix.so nullok

auth required /lib32/security/pam_nologin.so

account required /lib32/security/pam_unix.so nullok


  • for package installation it's needed that /bin/sh points to /bin/bash (default on Ubuntu is /bin/dash now) ln -sf /bin/bash /bin/sh
  • after installation it is needed to adopt runlevel scripts - there is no peresistent /var/lock/subsys

you can do this with:


perl -i -p -e 's/\/var\/lock\/subsys\\/var\/lock\' /etc/init.d/dsm_sa_ipmi perl -i -p -e 's/\/var\/lock\/subsys\\/var\/lock\' /etc/init.d/dsm_om_connsvc perl -i -p -e 's/\/var\/lock\/subsys\\/var\/lock\' /etc/init.d/dsm_om_shrsvc


  • create runlevel links with: update-rc.d dsm_om_connsvc defaults
  • finally don't forget an "ldconfig"

Best regards Sebastian Berthold

Change History (0)

Note: See TracTickets for help on using tickets.